Bug 231871 - security/cyrus-sasl2: Allow for OPENSSL-base, devel, and version 1.1.1 build
Summary: security/cyrus-sasl2: Allow for OPENSSL-base, devel, and version 1.1.1 build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks: 231863
  Show dependency treegraph
 
Reported: 2018-10-01 23:56 UTC by Nathan
Modified: 2018-10-06 04:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ume)


Attachments
Fix PR 231863 (5.69 KB, patch)
2018-10-01 23:57 UTC, Nathan
ndowens04: maintainer-approval? (ume)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-01 23:56:07 UTC

    
Comment 1 Nathan 2018-10-01 23:57:31 UTC
Created attachment 197699 [details]
Fix PR 231863

 security/cyrus-sasl2:
 
 * Add OPENSSL_VERSION to lak.c, Fixes PR 231863
 
 PR:             231871
 Submitted by:   Nathan <ndowens@yahoo.com>

Allows OpenSSL , OpenSSL 1.1.0 and OpenSSL 1.1.1 to build on this port
Comment 2 Nathan 2018-10-02 02:15:44 UTC
This patch fixes:
PR:231863
Comment 3 commit-hook freebsd_committer 2018-10-06 04:40:33 UTC
A commit references this bug:

Author: ume
Date: Sat Oct  6 04:39:47 UTC 2018
New revision: 481315
URL: https://svnweb.freebsd.org/changeset/ports/481315

Log:
  Fix build the saslauthd when the OPENLDAP option is enabled.

  PR:		231871
  Reported by:	Nathan <ndowens [...] yahoo.com>

Changes:
  head/security/cyrus-sasl2/files/patch-saslauthd_lak.c
Comment 4 Hajimu UMEMOTO freebsd_committer 2018-10-06 04:46:23 UTC
Thank you for the info.
An actual problem is that libcrypto_compat.a is not build nor not
linked.  But it was complicated to build that, so I put the required
functions into lak.c.